Bug 123116 - [UPDATE] security/pinentry to 0.7.5 and fix security/pinentry-gtk2
Summary: [UPDATE] security/pinentry to 0.7.5 and fix security/pinentry-gtk2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Rong-En Fan
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-04-26 19:50 UTC by Yarodin
Modified: 2008-11-20 08:00 UTC (History)
0 users

See Also:


Attachments
file.diff (8.26 KB, patch)
2008-04-26 19:50 UTC, Yarodin
no flags Details | Diff
patch-pinentry-gtk2.txt (307 bytes, patch)
2008-04-26 20:02 UTC, Yarodin
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Yarodin 2008-04-26 19:50:01 UTC
[UPDATE] security/pinentry to 0.7.5 and fix security/pinentry-gtk2

Fix: How to apply:
1) Put patch-pinentry.txt to /usr/ports/security/

2) cd /usr/ports/security/ && patch -E -p <patch-pinentry.txt && find /usr/ports/security/pinentry/ -type f -name "*.orig" -exec rm -f {} \;

3) Put patch-pinentry-gtk2.txt to /usr/ports/security/

4) cd /usr/ports/security/ && patch -E -p <patch-pinentry-gtk2.txt && find /usr/ports/security/pinentry-gtk2/ -type f -name "*.orig" -exec rm -f {} \;



Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2008-04-26 19:50:07 UTC
Responsible Changed
From-To: freebsd-ports-bugs->lofi

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Yarodin 2008-04-26 20:02:10 UTC
Patch for security/pinentry-gtk2
Comment 3 Mark Linimon freebsd_committer freebsd_triage 2008-09-07 01:37:20 UTC
Responsible Changed
From-To: lofi->freebsd-ports-bugs

Maintainer was reset.
Comment 4 Rong-En Fan freebsd_committer 2008-09-07 12:44:43 UTC
Responsible Changed
From-To: freebsd-ports-bugs->rafan

I'll take it.
Comment 5 Rong-En Fan freebsd_committer 2008-09-23 15:19:33 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 6 dfilter service freebsd_committer 2008-09-23 15:19:34 UTC
rafan       2008-09-23 14:19:30 UTC

  FreeBSD ports repository

  Modified files:
    security/pinentry    Makefile distinfo 
    security/pinentry/files patch-glib.2.16 
  Added files:
    security/pinentry/files patch-curses-utf patch-gtk2-gmem 
                            patch-more_sec_mem 
  Log:
  - Update to 0.7.5
  
  PR:             ports/123116
  Submitted by:   Yarodin <yarodin at gmail.com>
  
  Revision  Changes    Path
  1.44      +3 -5      ports/security/pinentry/Makefile
  1.10      +3 -3      ports/security/pinentry/distinfo
  1.1       +40 -0     ports/security/pinentry/files/patch-curses-utf (new)
  1.2       +0 -58     ports/security/pinentry/files/patch-glib.2.16
  1.1       +145 -0    ports/security/pinentry/files/patch-gtk2-gmem (new)
  1.1       +11 -0     ports/security/pinentry/files/patch-more_sec_mem (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 7 Jason E. Hale 2008-11-20 07:01:47 UTC
It looks like security/pinentry/files/patch-glib.2.16 did not get removed with 
the update.  It is currently a 0B file.
Comment 8 dfilter service freebsd_committer 2008-11-20 07:59:23 UTC
rafan       2008-11-20 07:59:07 UTC

  FreeBSD ports repository

  Removed files:
    security/pinentry/files patch-glib.2.16 
  Log:
  - Remove 0 size patch
  
  PR:             ports/123116
  Reported by:    Jason E. Hale <bsdkaffee at gmail.com>
  
  Revision  Changes    Path
  1.3       +0 -0      ports/security/pinentry/files/patch-glib.2.16 (dead)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"